Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1815932 - [abrt] gftp: gftp_free_getline_buffer(): gftp-gtk killed by SIGSEGV
Summary: [abrt] gftp: gftp_free_getline_buffer(): gftp-gtk killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gftp
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:761ab89fd055a5d398472e69530...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-22 20:19 UTC by Al Schapira
Modified: 2020-11-24 16:40 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 16:40:21 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (54.23 KB, text/plain)
2020-03-22 20:19 UTC, Al Schapira
no flags Details
File: core_backtrace (30.16 KB, text/plain)
2020-03-22 20:19 UTC, Al Schapira
no flags Details
File: cpuinfo (1.78 KB, text/plain)
2020-03-22 20:19 UTC, Al Schapira
no flags Details
File: dso_list (7.90 KB, text/plain)
2020-03-22 20:19 UTC, Al Schapira
no flags Details
File: environ (1.20 KB, text/plain)
2020-03-22 20:19 UTC, Al Schapira
no flags Details
File: exploitable (82 bytes, text/plain)
2020-03-22 20:19 UTC, Al Schapira
no flags Details
File: limits (1.29 KB, text/plain)
2020-03-22 20:19 UTC, Al Schapira
no flags Details
File: maps (49.32 KB, text/plain)
2020-03-22 20:19 UTC, Al Schapira
no flags Details
File: mountinfo (2.42 KB, text/plain)
2020-03-22 20:19 UTC, Al Schapira
no flags Details
File: open_fds (1.30 KB, text/plain)
2020-03-22 20:19 UTC, Al Schapira
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2020-03-22 20:19 UTC, Al Schapira
no flags Details

Description Al Schapira 2020-03-22 20:19:01 UTC
Version-Release number of selected component:
2:gftp-2.0.19-23.fc31

Additional info:
reporter:       libreport-2.12.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/session-2.scope
cmdline:        /usr/bin/gftp-gtk
crash_function: gftp_free_getline_buffer
executable:     /usr/bin/gftp-gtk
journald_cursor: s=55acd7f55f0b4ee2abf4f6890e61183c;i=5fa13;b=323f2ade065a4dc29f49f2055010dfa1;m=287b224f4;t=5a17702d43ba7;x=e4f685d5d4512f3b
kernel:         5.5.10-200.fc31.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 gftp_free_getline_buffer at sockutils.c:146
 #1 gftp_get_line at sockutils.c:118
 #2 rfc959_read_response at rfc959.c:115
 #3 rfc959_send_command at rfc959.c:188
 #4 rfc959_generate_and_send_command at rfc959.c:235
 #5 rfc959_chdir at rfc959.c:433
 #6 _gftpui_common_thread_callback at gftpui.c:50
 #7 _gftpui_gtk_thread_func at gtkui.c:218

Potential duplicate: bug 1234066

Comment 1 Al Schapira 2020-03-22 20:19:04 UTC
Created attachment 1672374 [details]
File: backtrace

Comment 2 Al Schapira 2020-03-22 20:19:06 UTC
Created attachment 1672375 [details]
File: core_backtrace

Comment 3 Al Schapira 2020-03-22 20:19:07 UTC
Created attachment 1672376 [details]
File: cpuinfo

Comment 4 Al Schapira 2020-03-22 20:19:08 UTC
Created attachment 1672377 [details]
File: dso_list

Comment 5 Al Schapira 2020-03-22 20:19:09 UTC
Created attachment 1672378 [details]
File: environ

Comment 6 Al Schapira 2020-03-22 20:19:10 UTC
Created attachment 1672379 [details]
File: exploitable

Comment 7 Al Schapira 2020-03-22 20:19:11 UTC
Created attachment 1672380 [details]
File: limits

Comment 8 Al Schapira 2020-03-22 20:19:12 UTC
Created attachment 1672381 [details]
File: maps

Comment 9 Al Schapira 2020-03-22 20:19:14 UTC
Created attachment 1672382 [details]
File: mountinfo

Comment 10 Al Schapira 2020-03-22 20:19:15 UTC
Created attachment 1672383 [details]
File: open_fds

Comment 11 Al Schapira 2020-03-22 20:19:16 UTC
Created attachment 1672384 [details]
File: proc_pid_status

Comment 12 Ben Cotton 2020-11-03 16:31:17 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Ben Cotton 2020-11-24 16:40:21 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.